package baleine.common.interfaces.client;

import java.util.ArrayList;
import java.util.UUID;

import baleine.common.dataModel.Board;
import baleine.common.dataModel.GameHeavy;
import baleine.common.dataModel.GameLight;
import baleine.common.dataModel.Message;
import baleine.common.dataModel.UserLight;

public interface IComToData {
	public void forwardPlayerProfile(UserLight user);
	
	public void addAuthenticatedPlayer(UserLight user);
	
	public void receiveGameData(ArrayList<UserLight> user);
	
	public void addNewUser(UserLight user);
	
	public void notifyNewGame(GameLight newGameCreated);
	
	public void sendGameSave(GameHeavy game, UUID userId);
	
	public void receiveChatMessage(Message message);
	
	public void removeDisconnectedUser(UUID user);
	
	public void addSpectatorToGame(UserLight spectator);
	
	public void receiveJoinRequestAnswer(boolean isAccepted, UUID gameUUID);
	
	public void receiveJoinRequest(UUID userProposingUUID, UUID gameUUID);
	
	public void notifyEndGame(GameLight game);
	
	public void updateBoard(Board board);
	
	public void endGame(GameLight endGameInfo);
}
